# ``twisted`.`internet`.`interfaces`.`IOpenSSLServerConnectionCreator``

interface documentation

`class IOpenSSLServerConnectionCreator(Interface): (source)`

Known implementations: `twisted.protocols.tls._ContextFactoryToConnectionFactory`

View In Hierarchy

A provider of `IOpenSSLServerConnectionCreator` can create `OpenSSL.SSL.Connection` objects for TLS servers.

See Also
`twisted.internet.ssl`
Note
Creating OpenSSL connection objects is subtle, error-prone, and security-critical. Before implementing this interface yourself, consider using `twisted.internet.ssl.CertificateOptions` as your `contextFactory`. (For historical reasons, that class does not actually implement this interface; nevertheless it is usable in all Twisted APIs which require a provider of this interface.)

Method | `serverConnectionForTLS` | Create a connection for the given server protocol.

def serverConnectionForTLS(tlsProtocol): (source)
Create a connection for the given server protocol.

Parameters
tlsProtocol:`TLSMemoryBIOProtocol` | Undocumented
Returns
`OpenSSLConnection` | an OpenSSL connection object configured appropriately for the given Twisted protocol.